Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class RENSTrajInfo

[frames] | no frames]

# Class RENSTrajInfo

source code

    object --+
             |
            RENSTrajInfo

Holds information necessary for calculating a RENS trajectory.

Instance Methods

__init__(self, param_info, init_state, direction) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| direction
| init_state
| param_info
Inherited from `object`: `__class__`

Method Details

### __init__(self, param_info, init_state, direction)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `param_info` (AbstractSwapParameterInfo) - ParameterInfo instance holding swap parameters
  - `init_state` (State) - state from which the trajectory is supposed to start
  - `direction` (string, either "fw" or "bw") - Either "fw" or "bw", indicating a forward or backward trajectory. This is neccessary to pick the protocol or the reversed protocol, respectively.
Overrides: object.__init__
  (inherited documentation)

Property Details

### direction

Get Method:
  unreachable.direction(self)

### init_state

Get Method:
  unreachable.init_state(self)

### param_info

Get Method:
  unreachable.param_info(self)